Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.commands
Class UpdateGroup

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
          org.jasig.portal.channels.groupsmanager.commands.UpdateGroup

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerCommand

    public class UpdateGroup

extends GroupsManagerCommand

This class update the group with a new name. It then updates all of the xml elements with the new name.

Version:
  $Revision: 1.17 $
Author:
  Don Fracapane

Field Summary

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`UpdateGroup()`

Method Summary
`void` | `execute(CGroupsManagerSessionData sessionData)` This is the public method

Methods inherited from class org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
`clearSelected, deletePermissions, getCommand, getCommandArg, getParentId, getUserID, getXmlDoc, hasParentId, setCommandArg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateGroup

    public UpdateGroup()

Method Detail

### execute

    public void execute(CGroupsManagerSessionData sessionData)
                 throws java.lang.Exception

  This is the public method

  Specified by:
    `execute` in interface `IGroupsManagerCommand`
  Overrides:
    `execute` in class `GroupsManagerCommand`
  Parameters:
    `sessionData` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD